import { INetRequest } from "./Core/INetRequest";

export abstract class NetRequest<TResquest, TResponse> implements INetRequest<TResquest, TResponse> {
	abstract get Method(): string;

	get MethodBack(): string {
		return this.Method;
	}

	Data: TResquest;
	Result: import("./Core/INetResponse").INetResponse<TResponse>;

	// /**
	//  * 在大廳呼叫Cocos會收到SERVER主動通知
	//  * 在大廳呼叫Cocos會收到SERVER主動通知
	//  * 在大廳呼叫Cocos會收到SERVER主動通知
	//  */
	// SendAsync(mask: boolean = false): Iterator<any> {
	// 	// return NetManager.SendAsync(this, mask);
	// 	return VueNetConnector.SendAsync(this, mask);
	// }

	// Send() {
	// 	// NetManager.Send(this);
	// 	VueNetConnector.Send(this);
	// }
}
