import { INetResponse } from "./Core/INetResponse"

export abstract class NetResponse implements INetResponse<any> {
	protected data: any = undefined
	protected method: string = ""
	protected status: number = undefined

	get Method(): string {
		return this.method
	}
	get Status(): number {
		return this.status
	}
	get Data(): any {
		return this.data
	}

	constructor(data: any = undefined, status: number = 0) {
		this.data = data ?? ""
		this.status = status
	}
}
